Межсайтовый скриптинг в Booked Scheduler

Дата публикации:
27.06.2014
Дата изменения:
27.06.2014
Всего просмотров:
457
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:P/E:U/RL:O/RC:C) = Base:5.8/Temporal:4.3
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Booked Scheduler 2.x
Уязвимые версии: Booked Scheduler 2.5.6, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "redirect" в сценарии Web/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://www.twinkletoessoftware.com/

Решение: Установите последнюю версию 2.5.7 с сайта производителя.

Ссылки: http://sourceforge.net/projects/phpscheduleit/files/?source=navbar
https://www.netsparker.com/critical-xss-vulnerabilities-in-booked-scheduler/

или введите имя

CAPTCHA